Package org.gradle.api

## Class ProjectConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.internal.exceptions.DefaultMultiCauseException
          - - org.gradle.api.ProjectConfigurationException

- All Implemented Interfaces:
    `java.io.Serializable`, `org.gradle.internal.exceptions.MultiCauseException`, `org.gradle.internal.exceptions.NonGradleCauseExceptionsHolder`

      public class ProjectConfigurationException
      extends org.gradle.internal.exceptions.DefaultMultiCauseException

  Indicates a problem that occurs during project configuration.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectConfigurationException​(java.lang.String message, java.lang.Iterable<? extends java.lang.Throwable> causes)` | Creates an exception with the given message and causes.
    `ProjectConfigurationException​(java.lang.String message, java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.gradle.internal.exceptions.DefaultMultiCauseException

      `getCause, getCauses, getMessage, hasCause, initCause, initCauses, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectConfigurationException

          public ProjectConfigurationException​(java.lang.String message,
                                               java.lang.Throwable cause)

    - #### ProjectConfigurationException

          public ProjectConfigurationException​(java.lang.String message,
                                               java.lang.Iterable<? extends java.lang.Throwable> causes)

      Creates an exception with the given message and causes.
      Parameters:
        `message` - The message
        `causes` - The causes
      Since:
        5.1